using System;
using System.Collections.Generic;
using System.Text;
using System.Extended;

using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

namespace Prophet
{
    public class SpecialSpawns : SpawnsContainer
    {
        public SpecialSpawns()
        {
        }

        public override void Load(BitReader hr, int scnrMetaOffset)
        {
            SpawnModels = new SpawnModel[0];
            Spawns = new SpecialSpawn[0];
        }
    }

    public class SpecialSpawn : BaseSpawn
    {
        public string Name;
        public SpecialSpawnType specialSpawnType;
        public enum SpecialSpawnType
        {
            CTF,
            Initital
        }
        public SpecialSpawn()
        {
            this.SpawnType = SpawnTypes.Special;

        }
    }
}
